Subject: AW: [Sipping] Comment on draft-rosenberg-sipping-acr-code-00.txt

From: "Alexeitsev, D" <[email-masked]>
Date: Mon, 28 Nov 2005 17:31:19 +0100

Hello Jonathan,

The internalisation problem is an important observation for this case and it clearly shows the limitation of the display-name solution.

The proposed solution in draft-rosenberg-sip-identity-privacy-00.txt solves the overall privacy issue, but at the time being most of the SIP clients and networks do not support this procedures. Even support of the Privacy header is just starting to get momentum.

As a short term solution for the backward compatibility with the currently available SIP UAs at least a clear statement about anonymous display-name value would help on the way forward to the overall solution.

As an example several real-life anonymous display-name values that were tracked:

"anonymous"
Anonymous
"Anonymous"

Basically almost all of the possible combinations.   

Thanks,
Denis Alexeitsev

-----Ursprüngliche Nachricht-----
Von: Jonathan Rosenberg [mailto:[email-masked]] 
Gesendet: Montag, 28. November 2005 17:00
An: Alexeitsev, Denis
Cc: [email-masked]
Betreff: Re: [Sipping] Comment on draft-rosenberg-sipping-acr-code-00.txt

Good question. I think its 'Anonymous'. However, this points to the real 
problem with this approach. Anonymous is a word in the English language, 
and I would expect that clients in other countries that use other 
languages would want this text to be in a localized language. That will 
not interoperate with systems that expect the English version of this.

As a consequence, I believe we need to move away from 'Anonymous' as the 
flag for anonymity, and this is why I have proposed a new value for the 
'user' URI param, called 'anonymous', which allows anonymity to be 
signaled to automata:

From: Anonyme <sip:[email-masked];user=anonymous>

please see:
http://www.ietf.org/internet-drafts/draft-rosenberg-sip-identity-privacy-00.txt

Thanks,
Jonathan R.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP